> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Snapshots

> Retrieve either a list of snapshot files or a specific snapshot file for a tenant.

Learn more about snapshots [here](/transformation/snapshots).



## OpenAPI

````yaml get /tenant/{env_id}/{tenant}/snapshots
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /tenant/{env_id}/{tenant}/snapshots:
    get:
      summary: Get Snapshots
      description: >-
        Retrieve either a list of snapshot files or a specific snapshot file for
        a tenant.


        Learn more about snapshots [here](/transformation/snapshots).
      operationId: tenants-get-snapshots
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: file
          in: query
          description: >-
            Name of the specific snapshot file to retrieve. If provided, the
            response will include the base64 encoded file contents. If not
            provided, a list of downloadable snapshot files will be returned.
          required: false
          schema:
            type: string
        - name: folder
          in: query
          description: >-
            Folder within the snapshots directory to list files from. If not
            provided, all files will be returned.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              examples:
                List Files:
                  value:
                    - file: contacts_abcd.snapshot.parquet
                      last_updated: '2024-06-02T12:34:56Z'
                    - file: companies_abcd.snapshot.parquet
                      last_updated: '2024-06-02T14:34:56Z'
                Single File:
                  value:
                    data: <base64-encoded-string>
                    mime_type: application/json
              schema:
                oneOf:
                  - type: array
                    items:
                      type: object
                      properties:
                        file:
                          type: string
                        last_updated:
                          type: string
                          format: date-time
                  - type: object
                    properties:
                      data:
                        type: string
                      mime_type:
                        type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````